---
updatedAt: 2025-06-09T22:43:06.000Z
agentTools:
  projectIndex: https://docs.zenloop.com/llms.txt
---

# Get List of Survey Groups

This endpoint is used for getting basic data for all surveys from user organization.

```json Example request
{
  "page": 1
}
```

## Response attributes

| Attribute                                   |  Type  | Description                                                |
| :------------------------------------------ | :----: | :--------------------------------------------------------- |
| **survey\_groups**                          |  array | Survey group information data.                             |
| survey\_groups.**surveys**                  |  array | Survey information data.                                   |
| survey\_groups.surveys.**title**            | string | Survey title.                                              |
| survey\_groups.surveys.**status**           | string | Survey status. One of: `draft`, `active`.                  |
| survey\_groups.surveys.**public\_hash\_id** | string | Survey public hash id used to identify survey.             |
| survey\_groups.surveys.**inserted\_at**     |  date  | Survey creation date.                                      |
| survey\_groups.**name**                     | string | Survey group name.                                         |
| survey\_groups.**public\_hash\_id**         | string | Survey group public hash id used to identify survey group. |
| survey\_groups.**inserted\_at**             |  date  | Survey group creation date.                                |
| **meta**                                    | object | Result metadata.                                           |
| meta.**total**                              | number | Number of answers.                                         |
| meta.**per\_page**                          | number | Number of answers per page.                                |
| meta.**page**                               | number | Current results page.                                      |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zenloop.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/survey_groups": {
      "get": {
        "summary": "Get List of Survey Groups",
        "description": "This endpoint is used for getting basic data for all surveys from user organization.",
        "operationId": "get-list-of-survey-groups",
        "parameters": [
          {
            "name": "page",
            "in": "query",
            "description": "Number of the page of the results you would like to get.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Bearer <token>"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"survey_groups\": [\n    {\n      \"surveys\": [\n        {\n          \"title\": \"Link survey\",\n          \"status\": \"active\",\n          \"public_hash_id\": \"ZGtKWGNTVEpqSnJmeENKbUlYZ2hKT2Y2dE5QbHpVRXN1cUQwRmFvN3Z3OD0=\",\n          \"inserted_at\": \"2018-02-08T14:10:00Z\"\n        }\n      ],\n      \"public_hash_id\": \"VDQ2dU9yMmo0R1QzdUY1YXk4a0xnVWtGd3AwYTRXQ3VlV1kvSHBmSzRIdz0=\",\n      \"name\": \"New Group\",\n      \"inserted_at\": \"2018-02-20T11:49:35Z\"\n    },\n  ],\n  \"meta\": {\n    \"total\": 1,\n    \"per_page\": 24,\n    \"page\": 1\n  }\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"title\": \"Invalid request body.\",\n    \"status\": 400,\n    \"links\": {\n      \"documentation\": \"https://docs.zenloop.com/v1.0/reference#get-list-of-survey-groups\"\n    },\n    \"details\": [\n      {\n        \"pointer\": \"/page\",\n        \"detail\": \"Expected the value to be >= 1\"\n      }\n    ],\n    \"code\": \"INVALID_REQUEST\"\n  }\n}\n"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "title": {
                          "type": "string",
                          "example": "Invalid request body."
                        },
                        "status": {
                          "type": "integer",
                          "example": 400,
                          "default": 0
                        },
                        "links": {
                          "type": "object",
                          "properties": {
                            "documentation": {
                              "type": "string",
                              "example": "https://docs.zenloop.com/v1.0/reference#get-list-of-survey-groups"
                            }
                          }
                        },
                        "details": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "pointer": {
                                "type": "string",
                                "example": "/page"
                              },
                              "detail": {
                                "type": "string",
                                "example": "Expected the value to be >= 1"
                              }
                            }
                          }
                        },
                        "code": {
                          "type": "string",
                          "example": "INVALID_REQUEST"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 401,\n    \"code\": \"UNAUTHORIZED\",\n    \"title\": \"Invalid or expired token.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 401,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "UNAUTHORIZED"
                        },
                        "title": {
                          "type": "string",
                          "example": "Invalid or expired token."
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "429",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"error\": {\n    \"status\": 429,\n    \"code\": \"TOO_MANY_REQUESTS\",\n    \"title\": \"Rate limit exceeded.\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "integer",
                          "example": 429,
                          "default": 0
                        },
                        "code": {
                          "type": "string",
                          "example": "TOO_MANY_REQUESTS"
                        },
                        "title": {
                          "type": "string",
                          "example": "Rate limit exceeded."
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Content-Type",
        "value": "application/json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```